Bug 1444106 - [3.4 Backport] openshift users encountered confirmation "Apply these filters?" when switching between index list populated in the left panel on kibana
Summary: [3.4 Backport] openshift users encountered confirmation "Apply these filters?...
Keywords:
Status: CLOSED DUPLICATE of bug 1435083
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.z
Assignee: Rich Megginson
QA Contact: Xia Zhao
URL:
Whiteboard:
: 1437366 (view as bug list)
Depends On: 1426061
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 15:07 UTC by Ruben Romero Montes
Modified: 2017-05-11 02:10 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The 3.4 logging stack upgraded the schema to use the common standard logging data model. However, some of the Elasticsearch and Kibana configuration to use this schema was missing. Consequence: Kibana would show a nasty error message upon startup. Fix: The correct Elasticsearch and Kibana configuration was added to the logging stack, including during upgrade from 3.3 to 3.4, and from 3.4.x to 3.4.y. Result: Kibana works correctly with the new logging data schema.
Clone Of: 1426061
Environment:
Last Closed: 2017-05-11 02:10:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 4 Xia Zhao 2017-04-26 05:31:14 UTC
Issue was reproduced with the latest images with tag 3.4.1 specified on brew registry:

openshift3/logging-deployer    525f06f2d068
openshift3/logging-elasticsearch    6b4c2976f034
openshift3/logging-kibana    0a350262970b
openshift3/logging-fluentd    284080ecaf28
openshift3/logging-auth-proxy    eab4b38c42f6
openshift3/logging-curator    b8da2d97e305

still encounter confirmation "Apply these filters?" when switching between index list populated in the left panel of kibana.

Comment 7 Rich Megginson 2017-04-26 22:43:13 UTC
Forgot to build openshift-elasticsearch-plugin 2.4.1.7 for RH - building now - then will need to get tdawson to rebuild the puddle, then I will need to rebuild the image - then tdawson will need to push to QE registry

Comment 8 Rich Megginson 2017-04-26 23:00:03 UTC
*** Bug 1437366 has been marked as a duplicate of this bug. ***

Comment 10 Junqi Zhao 2017-04-28 01:51:05 UTC
Verified this issue by using logging-elasticsearch:3.4.1-21, issue was fixed.

docker images | grep logging
openshift3/logging-elasticsearch   3.4.1               35b49fb0d73f        10 hours ago        399.6 MB
openshift3/logging-deployer        3.4.1               7ca4d5f34949        29 hours ago        857.5 MB
openshift3/logging-kibana          3.4.1               0a350262970b        5 days ago          338.8 MB
openshift3/logging-fluentd         3.4.1               284080ecaf28        5 days ago          232.7 MB
openshift3/logging-auth-proxy      3.4.1               eab4b38c42f6        5 days ago          215.3 MB
openshift3/logging-curator         3.4.1               b8da2d97e305        5 days ago          244.5 MB

Comment 11 Xiaoli Tian 2017-05-11 02:10:47 UTC

*** This bug has been marked as a duplicate of bug 1435083 ***


Note You need to log in before you can comment on or make changes to this bug.